#!/usr/bin/env bash

# shellcheck disable=SC1091
source "${ROOTDIR}/.config"
source "${ROOTDIR}/scripts/binkd_vars.sh"
source "${ROOTDIR}/scripts/husky_vars.sh"

function sync() {
    echo "* Syncing..."

    "${_HUSKY_BIN_DIR}"/bin/hpt -c "${_CONFIG_ROOT}"/husky/husky.cfg scan
    "${_HUSKY_BIN_DIR}"/bin/hpt -c "${_CONFIG_ROOT}"/husky/husky.cfg pack

    "${_BINKD_BIN_DIR}"/sbin/binkd -p -P "${UPLINK_FTN}" "${_CONFIG_ROOT}"/binkd.config
    "${_HUSKY_BIN_DIR}"/bin/hpt -c "${_CONFIG_ROOT}"/husky/husky.cfg toss
    "${_HUSKY_BIN_DIR}"/bin/hpt -c "${_CONFIG_ROOT}"/husky/husky.cfg link
    "${_HUSKY_BIN_DIR}"/bin/htick -c "${_CONFIG_ROOT}"/husky/husky.cfg toss
    "${_HUSKY_BIN_DIR}"/bin/htick -c "${_CONFIG_ROOT}"/husky/husky.cfg filelist "${_DATA_ROOT}"/fido/fileecho/filelist.txt
}
